# Texture1D.cpp File Reference

`#include <osg/GLExtensions>`
`#include <osg/Texture1D>`
`#include <osg/State>`
`#include <osg/GLU>`

Include dependency graph for Texture1D.cpp:

## Typedefs

typedef GLint | level
typedef GLint GLenum | internalformat
typedef GLint GLenum GLsizei | width
typedef GLint GLenum GLsizei GLint | border
typedef GLint GLenum GLsizei GLint GLsizei | imageSize
typedef GLint GLenum GLsizei GLint GLsizei const GLvoid * | data

## Functions

typedef | void (APIENTRY *MyCompressedTexImage1DArbProc)(GLenum target

## Typedef Documentation

typedef GLint GLenum GLsizei GLint border

typedef GLint GLenum GLsizei GLint GLsizei const GLvoid* data

typedef GLint GLenum GLsizei GLint GLsizei imageSize

typedef GLint GLenum internalformat

typedef GLint level

typedef GLint GLenum GLsizei width

## Function Documentation

typedef void | ( | APIENTRY * | MyCompressedTexImage1DArbProc | ) |